//
//  Created by Martin Stöber
//  Copyright (c) 2015 ma design GmbH & Co. KG. All rights reserved.
//

#import "AppDelegate.h"


@interface AppDelegate ()

@property(nonatomic) FNRBluetoothManager *bluetoothManager;
@property(nonatomic) UIStoryboard *storyboard;

@end


@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {

    // disable standby
    application.idleTimerDisabled = YES;

    // register for notifications
    UIUserNotificationType types =
            UIUserNotificationTypeSound | UIUserNotificationTypeAlert;
    UIUserNotificationSettings *mySettings =
            [UIUserNotificationSettings settingsForTypes:types categories:nil];
    [[UIApplication sharedApplication] registerUserNotificationSettings:mySettings];


    if (!_bluetoothManager) {
        _bluetoothManager = [[FNRBluetoothManager alloc] init];
    }

    [launchOptions valueForKey:UIApplicationLaunchOptionsLocalNotificationKey];

    // init connectionVC
    self.storyboard = [UIStoryboard storyboardWithName:@"Main" bundle:nil];
    self.connectionViewController = (FNRConnectionViewController *) [self.storyboard instantiateViewControllerWithIdentifier:@"ConnectionViewController"];
    self.connectionViewController.bluetoothManager = self.bluetoothManager;
    self.window.rootViewController = self.connectionViewController;

    [self.window makeKeyAndVisible];

    return YES;
}

- (void)application:(UIApplication *)application didReceiveLocalNotification:(UILocalNotification *)notification {
    // start NotificationVC after local fire notification
    self.notificationViewController = (FNRNotificationViewController *) [self.storyboard instantiateViewControllerWithIdentifier:@"NotificationViewController"];
    self.notificationViewController.bluetoothManager = self.bluetoothManager;
    self.window.rootViewController = self.notificationViewController;

    [self.window makeKeyAndVisible];
}

- (void)applicationWillResignActive:(UIApplication *)application {
    // Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
    // Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
}

- (void)applicationDidEnterBackground:(UIApplication *)application {
    // Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later.
    // If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
}

- (void)applicationWillEnterForeground:(UIApplication *)application {
    // Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
}

- (void)applicationDidBecomeActive:(UIApplication *)application {
    // Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
}

- (void)applicationWillTerminate:(UIApplication *)application {
    // Called when the application is about to terminate. Save data if appropriate. See also applicationDidEnterBackground:.
}

@end
